onEvent(`recipes`, event => {
	
	event.replaceInput({id: `rftoolsbase:machine_frame`}, `minecraft:iron_ingot`, `#forge:ingots/steel`)
	event.replaceInput({id: `rftoolsbase:machine_frame`}, `minecraft:blue_dye`, `rftoolsbase:dimensionalshard`)

	
	event.shapeless(`rftoolsbase:dimensionalshard`, `4x emendatusenigmatica:dimensional_gem`)

})